/* $Id$ */
#ifndef PROTOCOL_H
#define PROTOCOL_H

#define GRAY_BITS       4
#define NUM_GRAY        (1 << GRAY_BITS)
#define BLOCK_WIDTH     8
#define BLOCK_HEIGHT    8

/* the image sizes must be multipla of block sizes */
#define IMAGE_WIDTH   160
#define IMAGE_HEIGHT  120

#define DEFAULT_PORT 8193

#define MAX_PACKET   1400

/* packet types */
typedef enum {
    /* tcp server */
    PACK_NO_CAM = 0,      /* no camera available */
    PACK_BUSY,            /* unable to serve you */
    PACK_SEND_PORT,       /* send UDP port number */
    PACK_WELCOME,         /* call accepted */
    PACK_GO_AWAY,         /* call not accepted */
    /* tcp client */
    PACK_PORT = 10,
    PACK_HANGUP,          /* end of call */
    /* udp */
    PACK_BLOCK = 20,      /* a block of an image */
} PacketType;

#endif
